optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.InputConditioning.InputConditioning Class Reference
Inheritance diagram for optoKummenberg.registers.InputConditioning.InputConditioning:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SetGain (self, value)
| SetOffset (self, value)
| GetGain (self)
| GetOffset (self)
| SetTransitionRate (self, value)
| GetTransitionRate (self)
| SetLowLimit (self, value=0)
| GetLowLimit (self)
| SetHighLimit (self, value=0)
| GetHighLimit (self)
| EnableLimiting (self)
| DisableLimiting (self)
| GetLimitEnableState (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x98 | channel
dict | gain
dict | offset
dict | transition_rate
dict | limit_low
dict | limit_high
dict | limit_enable
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Attributes
bool | _readonly = False
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Input Conditioning Channel - Offset and Scaling
    System ID: 0x98 through 0x9f

    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Register Name  | Id   | Type        | Unit               | Range       | Default | Comment                |
    +================+======+=============+====================+=============+=========+========================+
    | gain           | 0x00 | float 32-bit|                    |             | 1.0     |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | offset         | 0x01 | float 32-bit|                    |             | 0.0     |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputConditioning.InputConditioning.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ DisableLimiting()

optoKummenberg.registers.InputConditioning.InputConditioning.DisableLimiting | ( |  | self | ) |

## ◆ EnableLimiting()

optoKummenberg.registers.InputConditioning.InputConditioning.EnableLimiting | ( |  | self | ) |

## ◆ GetGain()

optoKummenberg.registers.InputConditioning.InputConditioning.GetGain | ( |  | self | ) |

## ◆ GetHighLimit()

optoKummenberg.registers.InputConditioning.InputConditioning.GetHighLimit | ( |  | self | ) |

## ◆ GetLimitEnableState()

optoKummenberg.registers.InputConditioning.InputConditioning.GetLimitEnableState | ( |  | self | ) |

## ◆ GetLowLimit()

optoKummenberg.registers.InputConditioning.InputConditioning.GetLowLimit | ( |  | self | ) |

## ◆ GetOffset()

optoKummenberg.registers.InputConditioning.InputConditioning.GetOffset | ( |  | self | ) |

## ◆ GetTransitionRate()

optoKummenberg.registers.InputConditioning.InputConditioning.GetTransitionRate | ( |  | self | ) |

## ◆ help()

optoKummenberg.registers.InputConditioning.InputConditioning.help | ( |  | ) |
| static

## ◆ SetGain()

optoKummenberg.registers.InputConditioning.InputConditioning.SetGain | ( |  | self,
|  |  | value )

## ◆ SetHighLimit()

optoKummenberg.registers.InputConditioning.InputConditioning.SetHighLimit | ( |  | self,
|  |  | value = 0 )

## ◆ SetLowLimit()

optoKummenberg.registers.InputConditioning.InputConditioning.SetLowLimit | ( |  | self,
|  |  | value = 0 )

## ◆ SetOffset()

optoKummenberg.registers.InputConditioning.InputConditioning.SetOffset | ( |  | self,
|  |  | value )

## ◆ SetTransitionRate()

optoKummenberg.registers.InputConditioning.InputConditioning.SetTransitionRate | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _readonly

bool optoKummenberg.registers.InputConditioning.InputConditioning._readonly = False
| protected

## ◆ gain

dict optoKummenberg.registers.InputConditioning.InputConditioning.gain

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': float,
'unit': None,
'range': None,
'default': 1,
'value': 1}

## ◆ limit_enable

dict optoKummenberg.registers.InputConditioning.InputConditioning.limit_enable

Initial value:
= {'id': self.sys_id << 8 | 0x05,
'type': bool,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ limit_high

dict optoKummenberg.registers.InputConditioning.InputConditioning.limit_high

Initial value:
= {'id': self.sys_id << 8 | 0x04,
'type': float,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ limit_low

dict optoKummenberg.registers.InputConditioning.InputConditioning.limit_low

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type': float,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ offset

dict optoKummenberg.registers.InputConditioning.InputConditioning.offset

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': float,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ sys_id

int optoKummenberg.registers.InputConditioning.InputConditioning.sys_id = 0x98 | channel

## ◆ transition_rate

dict optoKummenberg.registers.InputConditioning.InputConditioning.transition_rate

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type': float,
'unit': None,
'range': None,
'default': 0,
'value': 0}

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputConditioning.py